NX Open C++ Reference Guide
|
Represents a StandardPartPositionBuilder to add or edit a standard part in the selected plane with specified position. More...
Public Member Functions | |
bool | AssociativePosition () |
Returns the associative status between standardpart and the offset point. | |
double | DxIncrement () |
Returns the increment in X direction when a standard part is dragged. | |
double | DyIncrement () |
Returns the increment in Y direction when a standard part is dragged. | |
NXOpen::Expression * | OffsetPositionDx () |
Returns the dimension in X direction from reference point to offset point. | |
NXOpen::Expression * | OffsetPositionDy () |
Returns the dimension in Y direction from reference point to offset point. | |
void | PlaneView () |
Sets the view to the selected face plane or X-Y plane of WCS. | |
NXOpen::Point * | ReferencePosition () |
Returns the reference point position. | |
void | SetAssociativePosition (bool associativePosition) |
Sets the associative status between standardpart and the offset point. | |
void | SetDxIncrement (double dxIncrement) |
Sets the increment in X direction when a standard part is dragged. | |
void | SetDyIncrement (double dyIncrement) |
Sets the increment in Y direction when a standard part is dragged. | |
void | SetFaceCenter () |
Sets the reference point to the selected face center. | |
void | SetOffsetPosition (const NXOpen::Point3d &position) |
The offset point position. | |
void | SetReferencePosition (NXOpen::Point *refPos) |
Sets the reference point position. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a StandardPartPositionBuilder to add or edit a standard part in the selected plane with specified position.
To create a new instance of this class, use Tooling::StandardPartPositionCollection::CreateStandardPartPositionBuilder
Default values.
Property | Value |
---|---|
AssociativePosition |
1 |
DxIncrement |
1.0 |
DyIncrement |
1.0 |
OffsetPositionDx.Value |
0.0 (millimeters part), 0.0 (inches part) |
OffsetPositionDy.Value |
0.0 (millimeters part), 0.0 (inches part) |
Created in NX8.5.0.
bool NXOpen::Tooling::StandardPartPositionBuilder::AssociativePosition | ( | ) |
Returns the associative status between standardpart and the offset point.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
double NXOpen::Tooling::StandardPartPositionBuilder::DxIncrement | ( | ) |
Returns the increment in X direction when a standard part is dragged.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
double NXOpen::Tooling::StandardPartPositionBuilder::DyIncrement | ( | ) |
Returns the increment in Y direction when a standard part is dragged.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Expression* NXOpen::Tooling::StandardPartPositionBuilder::OffsetPositionDx | ( | ) |
Returns the dimension in X direction from reference point to offset point.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Expression* NXOpen::Tooling::StandardPartPositionBuilder::OffsetPositionDy | ( | ) |
Returns the dimension in Y direction from reference point to offset point.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::StandardPartPositionBuilder::PlaneView | ( | ) |
Sets the view to the selected face plane or X-Y plane of WCS.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
NXOpen::Point* NXOpen::Tooling::StandardPartPositionBuilder::ReferencePosition | ( | ) |
Returns the reference point position.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::StandardPartPositionBuilder::SetAssociativePosition | ( | bool | associativePosition | ) |
Sets the associative status between standardpart and the offset point.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
associativePosition | associativeposition |
void NXOpen::Tooling::StandardPartPositionBuilder::SetDxIncrement | ( | double | dxIncrement | ) |
Sets the increment in X direction when a standard part is dragged.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
dxIncrement | dxincrement |
void NXOpen::Tooling::StandardPartPositionBuilder::SetDyIncrement | ( | double | dyIncrement | ) |
Sets the increment in Y direction when a standard part is dragged.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
dyIncrement | dyincrement |
void NXOpen::Tooling::StandardPartPositionBuilder::SetFaceCenter | ( | ) |
Sets the reference point to the selected face center.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
void NXOpen::Tooling::StandardPartPositionBuilder::SetOffsetPosition | ( | const NXOpen::Point3d & | position | ) |
The offset point position.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
position | position |
void NXOpen::Tooling::StandardPartPositionBuilder::SetReferencePosition | ( | NXOpen::Point * | refPos | ) |
Sets the reference point position.
Created in NX8.5.0.
License requirements : ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")
refPos | refpos |